summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJeremy Olexa <darkside@gentoo.org>2010-04-07 04:20:46 +0000
committerJeremy Olexa <darkside@gentoo.org>2010-04-07 04:20:46 +0000
commita3f461326bf8bcca9f7fb514f255fd0fc8901507 (patch)
tree6a1bd470dde543e7229745325e36273d7d090547 /eclass
parentRevision bump to fix the init script. New behavior reports if it didn't start... (diff)
downloadgentoo-2-a3f461326bf8bcca9f7fb514f255fd0fc8901507.tar.gz
gentoo-2-a3f461326bf8bcca9f7fb514f255fd0fc8901507.tar.bz2
gentoo-2-a3f461326bf8bcca9f7fb514f255fd0fc8901507.zip
Due to portage's environment filtering, variables that start with BASH_ cannot be used. As such, s/BASH_COMPLETION_NAME/BASHCOMPLETION_NAME/g for bug 312671
Diffstat (limited to 'eclass')
-rw-r--r--eclass/bash-completion.eclass16
-rw-r--r--eclass/vim.eclass4
2 files changed, 10 insertions, 10 deletions
diff --git a/eclass/bash-completion.eclass b/eclass/bash-completion.eclass
index c37c75d96a4e..ec20d6f27eb5 100644
--- a/eclass/bash-completion.eclass
+++ b/eclass/bash-completion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/bash-completion.eclass,v 1.23 2010/01/02 00:07:46 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/bash-completion.eclass,v 1.24 2010/04/07 04:20:46 darkside Exp $
# @ECLASS: bash-completion.eclass
# @MAINTAINER:
@@ -13,7 +13,7 @@
# contributed (ie not included in bash-completion proper)
# bash-completion scripts.
-# @ECLASS-VARIABLE: BASH_COMPLETION_NAME
+# @ECLASS-VARIABLE: BASHCOMPLETION_NAME
# @DESCRIPTION:
# Install the completion script with this name (see also dobashcompletion)
@@ -31,19 +31,19 @@ PDEPEND="bash-completion? ( app-shells/bash-completion )"
# @USAGE: < file > [ new_file ]
# @DESCRIPTION:
# First arg, <file>, is required and is the location of the bash-completion
-# script to install. If the variable BASH_COMPLETION_NAME is set in the
+# script to install. If the variable BASHCOMPLETION_NAME is set in the
# ebuild, dobashcompletion will install <file> as
-# /usr/share/bash-completion/$BASH_COMPLETION_NAME. If it is not set,
+# /usr/share/bash-completion/$BASHCOMPLETION_NAME. If it is not set,
# dobashcompletion will check if a second arg [new_file] was passed, installing as
# the specified name. Failing both these checks, dobashcompletion will
# install the file as /usr/share/bash-completion/${PN}.
dobashcompletion() {
[[ -z "$1" ]] && die "usage: dobashcompletion <file> <new file>"
- [[ -z "${BASH_COMPLETION_NAME}" ]] && BASH_COMPLETION_NAME="${2:-${PN}}"
+ [[ -z "${BASHCOMPLETION_NAME}" ]] && BASHCOMPLETION_NAME="${2:-${PN}}"
if use bash-completion ; then
insinto /usr/share/bash-completion
- newins "$1" "${BASH_COMPLETION_NAME}" || die "Failed to install $1"
+ newins "$1" "${BASHCOMPLETION_NAME}" || die "Failed to install $1"
fi
}
@@ -55,11 +55,11 @@ bash-completion_pkg_postinst() {
elog "In the case that you haven't yet enabled command-line completion"
elog "for ${PN}, you can run:"
elog
- elog " eselect bashcomp enable ${BASH_COMPLETION_NAME:-${PN}}"
+ elog " eselect bashcomp enable ${BASHCOMPLETION_NAME:-${PN}}"
elog
elog "to install locally, or"
elog
- elog " eselect bashcomp enable --global ${BASH_COMPLETION_NAME:-${PN}}"
+ elog " eselect bashcomp enable --global ${BASHCOMPLETION_NAME:-${PN}}"
elog
elog "to install system-wide."
fi
diff --git a/eclass/vim.eclass b/eclass/vim.eclass
index 9b8c3faf09ad..4ced88182c57 100644
--- a/eclass/vim.eclass
+++ b/eclass/vim.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.183 2010/03/28 02:23:19 lack Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.184 2010/04/07 04:20:46 darkside Exp $
# Authors:
# Jim Ramsay <i.am@gentoo.org>
@@ -692,7 +692,7 @@ vim_pkg_postinst() {
# Display bash-completion message
if [[ ${MY_PN} == "vim-core" ]] ; then
- export BASH_COMPLETION_NAME="xxd"
+ export BASHCOMPLETION_NAME="xxd"
fi
bash-completion_pkg_postinst